PETSc version 3.15.5
Fix/Edit manual page

# DMAdaptorCreate

Create a DMAdaptor object. Its purpose is to construct a adaptation DMLabel or metric Vec that can be used to modify the DM.

### Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorCreate(MPI_Comm comm, DMAdaptor *adaptor)

Collective

### Input Parameter

| comm | - The communicator for the DMAdaptor object

### Output Parameter

| adaptor | - The DMAdaptor object

### See Also

DMAdaptorDestroy(), DMAdaptorAdapt()

### Level

beginner

### Location

src/snes/utils/dmadapt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages